Bug 727971 - zabbix-web cannot install w/o php-bcmath php-mbstring
Summary: zabbix-web cannot install w/o php-bcmath php-mbstring
Keywords:
Status: CLOSED DUPLICATE of bug 682981
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: zabbix
Version: el6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-03 19:55 UTC by Matthew Davis
Modified: 2011-08-03 20:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-03 20:19:24 UTC


Attachments (Terms of Use)

Description Matthew Davis 2011-08-03 19:55:52 UTC
Description of problem:
Cannot install zabbix-web rpm from EPEL6.

# yum repolist
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating Red Hat repositories.
repo id                                                                 repo name                                                                                          status
epel                                                                    Extra Packages for Enterprise Linux 6 - x86_64                                                     6,172
rhel-x86_64-server-6                                                    Red Hat Enterprise Linux Server (v. 6 for 64-bit x86_64)                                           5,186
rhn-tools-rhel-x86_64-server-6                                          RHN Tools for RHEL (v. 6 for 64-bit x86_64)                                                           43
repolist: 11,401


# yum install zabbix-web
Loaded plugins: product-id, rhnplugin, subscription-manager
Updating Red Hat repositories.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package zabbix-web.noarch 0:1.8.5-2.el6 will be installed
--> Processing Dependency: zabbix-web-database = 1.8.5-2.el6 for package: zabbix-web-1.8.5-2.el6.noarch
--> Processing Dependency: php-gd for package: zabbix-web-1.8.5-2.el6.noarch
--> Processing Dependency: php-mbstring for package: zabbix-web-1.8.5-2.el6.noarch
--> Processing Dependency: dejavu-sans-fonts for package: zabbix-web-1.8.5-2.el6.noarch
--> Processing Dependency: php-bcmath for package: zabbix-web-1.8.5-2.el6.noarch
--> Processing Dependency: php-xml for package: zabbix-web-1.8.5-2.el6.noarch
--> Running transaction check
---> Package dejavu-sans-fonts.noarch 0:2.30-2.el6 will be installed
--> Processing Dependency: dejavu-fonts-common = 2.30-2.el6 for package: dejavu-sans-fonts-2.30-2.el6.noarch
---> Package php-gd.x86_64 0:5.3.3-3.el6 will be installed
--> Processing Dependency: libpng12.so.0(PNG12_0)(64bit) for package: php-gd-5.3.3-3.el6.x86_64
--> Processing Dependency: libpng12.so.0()(64bit) for package: php-gd-5.3.3-3.el6.x86_64
--> Processing Dependency: libjpeg.so.62()(64bit) for package: php-gd-5.3.3-3.el6.x86_64
--> Processing Dependency: libfreetype.so.6()(64bit) for package: php-gd-5.3.3-3.el6.x86_64
--> Processing Dependency: libXpm.so.4()(64bit) for package: php-gd-5.3.3-3.el6.x86_64
--> Processing Dependency: libX11.so.6()(64bit) for package: php-gd-5.3.3-3.el6.x86_64
---> Package php-xml.x86_64 0:5.3.3-3.el6 will be installed
--> Processing Dependency: libxslt.so.1(LIBXML2_1.0.24)(64bit) for package: php-xml-5.3.3-3.el6.x86_64
--> Processing Dependency: libxslt.so.1(LIBXML2_1.0.18)(64bit) for package: php-xml-5.3.3-3.el6.x86_64
--> Processing Dependency: libxslt.so.1(LIBXML2_1.0.13)(64bit) for package: php-xml-5.3.3-3.el6.x86_64
--> Processing Dependency: libxslt.so.1(LIBXML2_1.0.11)(64bit) for package: php-xml-5.3.3-3.el6.x86_64
--> Processing Dependency: libxslt.so.1()(64bit) for package: php-xml-5.3.3-3.el6.x86_64
--> Processing Dependency: libexslt.so.0()(64bit) for package: php-xml-5.3.3-3.el6.x86_64
---> Package zabbix-web.noarch 0:1.8.5-2.el6 will be installed
--> Processing Dependency: php-mbstring for package: zabbix-web-1.8.5-2.el6.noarch
--> Processing Dependency: php-bcmath for package: zabbix-web-1.8.5-2.el6.noarch
---> Package zabbix-web-pgsql.noarch 0:1.8.5-2.el6 will be installed
--> Processing Dependency: php-pgsql for package: zabbix-web-pgsql-1.8.5-2.el6.noarch
--> Running transaction check
---> Package dejavu-fonts-common.noarch 0:2.30-2.el6 will be installed
--> Processing Dependency: fontpackages-filesystem for package: dejavu-fonts-common-2.30-2.el6.noarch
---> Package freetype.x86_64 0:2.3.11-6.el6_1.6 will be installed
---> Package libX11.x86_64 0:1.3-2.el6 will be installed
--> Processing Dependency: libX11-common = 1.3-2.el6 for package: libX11-1.3-2.el6.x86_64
--> Processing Dependency: libxcb.so.1()(64bit) for package: libX11-1.3-2.el6.x86_64
---> Package libXpm.x86_64 0:3.5.8-2.el6 will be installed
---> Package libjpeg.x86_64 0:6b-46.el6 will be installed
---> Package libpng.x86_64 2:1.2.46-1.el6_1 will be installed
---> Package libxslt.x86_64 0:1.1.26-2.el6 will be installed
---> Package php-pgsql.x86_64 0:5.3.3-3.el6 will be installed
--> Processing Dependency: php-pdo for package: php-pgsql-5.3.3-3.el6.x86_64
--> Processing Dependency: libpq.so.5()(64bit) for package: php-pgsql-5.3.3-3.el6.x86_64
---> Package zabbix-web.noarch 0:1.8.5-2.el6 will be installed
--> Processing Dependency: php-mbstring for package: zabbix-web-1.8.5-2.el6.noarch
--> Processing Dependency: php-bcmath for package: zabbix-web-1.8.5-2.el6.noarch
--> Running transaction check
---> Package fontpackages-filesystem.noarch 0:1.41-1.1.el6 will be installed
---> Package libX11-common.noarch 0:1.3-2.el6 will be installed
---> Package libxcb.x86_64 0:1.5-1.el6 will be installed
--> Processing Dependency: libXau.so.6()(64bit) for package: libxcb-1.5-1.el6.x86_64
---> Package php-pdo.x86_64 0:5.3.3-3.el6 will be installed
---> Package postgresql-libs.x86_64 0:8.4.7-2.el6 will be installed
---> Package zabbix-web.noarch 0:1.8.5-2.el6 will be installed
--> Processing Dependency: php-mbstring for package: zabbix-web-1.8.5-2.el6.noarch
--> Processing Dependency: php-bcmath for package: zabbix-web-1.8.5-2.el6.noarch
--> Running transaction check
---> Package libXau.x86_64 0:1.0.5-1.el6 will be installed
---> Package zabbix-web.noarch 0:1.8.5-2.el6 will be installed
--> Processing Dependency: php-mbstring for package: zabbix-web-1.8.5-2.el6.noarch
--> Processing Dependency: php-bcmath for package: zabbix-web-1.8.5-2.el6.noarch
--> Finished Dependency Resolution
Error: Package: zabbix-web-1.8.5-2.el6.noarch (epel)
           Requires: php-bcmath
Error: Package: zabbix-web-1.8.5-2.el6.noarch (epel)
           Requires: php-mbstring
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Version-Release number of selected component (if applicable):
RHEL6

How reproducible:
Everytime

Steps to Reproduce:
1. Install rhel6
2. Enable epel repo
3. yum -y install zabbix-web

Comment 1 Dan Horák 2011-08-03 20:19:24 UTC

*** This bug has been marked as a duplicate of bug 682981 ***


Note You need to log in before you can comment on or make changes to this bug.